<div class="form-container">
  <div class="form-authorization">
    <div>
      <button [ngClass]="authBtnReg" (click)="switchReg()">Registration</button>
      <button [ngClass]="authBtnLog" (click)="switchLog()">Login</button>
    </div>
    <ng-container *ngIf="showAuthFormReg">
      <app-sign [ButtonName]="'Sign Up'" (submitEmitter)="submitRegister($event)"></app-sign>
    </ng-container>
    <ng-container *ngIf="!showAuthFormReg">
     <app-sign [ButtonName]="'Log In'" (submitEmitter)="submitLogin($event)"></app-sign>
    </ng-container>
  </div>
</div>
